Name:           LC-release
Version:        2
Release:        1%{dist}
Summary:        Packages for Let's Connect!
License:        AGPLv3+

URL:            https://repo.letsconnect-vpn.org/%{version}/rpm/release
Source0:        RPM-GPG-KEY-LC
Source1:        LC-enterprise.repo
Source2:        LC-fedora.repo

BuildArch:     noarch

%description
This package contians the Let's Connect! VPN packages for Red Hat Enterprise 
Linux/CentOS and Fedora.

%prep
%setup -q  -c -T
%if 0%{?rhel}
install -pm 644 %{SOURCE1} LC.repo
%else
install -pm 644 %{SOURCE2} LC.repo
%endif

%build


%install

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-LC

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 LC.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog
* Sun Oct 13 2019 François Kooman <fkooman@tuxed.net> - 2-1
- initial package
